#!/usr/bin/env python

import dbus
import xmlrpclib, time
import gobject
from dbus.mainloop.glib import DBusGMainLoop

dbus_loop = DBusGMainLoop()

server = xmlrpclib.ServerProxy("http://localhost:8888")


def handler(nfo):
    print "got signal!"
    if nfo.has_key('title'):
        server.showLyrics(str(nfo['artist']), str(nfo['title']))

def run():
    dbus.mainloop.glib.DBusGMainLoop(set_as_default=True)
    bus = dbus.SessionBus()
    obj = bus.get_object('org.mpris.clementine', '/Player')
    mtd = obj.get_dbus_method('GetMetadata', 'org.freedesktop.MediaPlayer')
    time.sleep(0.5)
    handler(mtd())
    time.sleep(0.5)
    bus.add_signal_receiver(handler, dbus_interface = "org.freedesktop.MediaPlayer", signal_name = "TrackChange")
    
    loop = gobject.MainLoop()
    loop.run()

if __name__ == "__main__":
    run()
