#!/usr/bin/env python
from RegexLyrics import *

class MegaLyrics(RegexLyrics):
    siteregex = re.compile(r'(?<!akk\.)megalyrics\.ru/(?!letter)')
    site = "megalyrics.ru"
    name = "MegaLyrics"
    regex = re.compile(r'<pre style="min-height: 120px;">(.*?)</pre>', re.DOTALL)
    testurl = "http://megalyrics.ru/lyric/eagles/busy-being-fabulous.htm"
    defaultcharset = 'cp1251'
    def stripfunction(self,data):
        data = re.compile(r'<br>').sub("\n", data)
        data = re.compile(r'<br />').sub("\n", data)
        data = re.compile(r'<br/>').sub("\n", data)
        data = re.compile(r'<BR>').sub("\n", data)
        data = html_unescape(data)
        data = re.compile(r'<.*?>').sub("", data)
        data = re.compile(r'Please enable javascript to see this content.').sub("", data)
        return data.strip()

if __name__ == "__main__":
    a = MegaLyrics()
    print a.selftest().lyrics
