#!/usr/bin/env python
import dbus, xmlrpclib, time
def run():
    bus = dbus.SessionBus()
    sb = bus.get_object("org.mozilla.songbird", "/org/mozilla/songbird")
    artist = ""
    title = ""
    while True:
        track = {}
        track["artist"] = sb.getArtist()
        track["title"] = sb.getTitle()
        if (track["title"], track["artist"]) != (title, artist):
            title = str(track["title"])
            artist = str(track["artist"])
            server = xmlrpclib.ServerProxy("http://localhost:8888")
            server.showLyrics(artist, title)
        time.sleep(0.1)


if __name__ == "__main__":
    run()
