#!/usr/bin/env python
import dbus, xmlrpclib, time
def run():
    bus = dbus.SessionBus()
    exaile = bus.get_object("org.exaile.Exaile", "/org/exaile/Exaile")
    artist = ""
    title = ""
    while True:
        track = {}
        try:
            track["artist"] = exaile.GetTrackAttr("artist")
            track["title"] = exaile.GetTrackAttr("title")
        except:
            track["title"] = None
            track["artist"] = None
            pass
        
        if (((track["title"], track["artist"]) != (title, artist)) and 
            (track["title"] != None) and
            (track["title"] != "")):
            title = str(track["title"])
            artist = str(track["artist"])
            server = xmlrpclib.ServerProxy("http://localhost:8888")
            server.showLyrics(artist, title)
            
        time.sleep(0.1)


if __name__ == "__main__":
    run()
